{
  title:       "Package fcfSimpleAuthorization",
  description: "",
  version:     "1.1.1",

  dependencies: ["fcfControls"],

  userProjectionName: "___fcfSimpleAuthorization___users",

  projectionDirectories: ["fcfSimpleAuthorization:projections"],

  public: ["css", "templates", "page_templates", "Client.js"],

  aliases: {
  },
  usageViews:{
    // "TYPE":{
    //   "read.*": { template: "TEMPLATE_PATH" },
    //   "edit.*": { template: "TEMPLATE_PATH" },
    //   "add.*":  { template: "TEMPLATE_PATH" },
    // },
  },
  routes: [
  ],
  html: {
    include: {
    }
  },

  routes: [
    {
      uri:        "fcfpackages/fcfSimpleAuthorization/login-by-email",
      controller: "fcfSimpleAuthorization:controllers/login-by-email.js",
    },
  ],


  /*--- PACKAGE CONFIGURATION ---*/

  fcfSimpleAuthorization_registrationEmailTemplate:    "fcfSimpleAuthorization:email_templates/registration.tmpl",
  fcfSimpleAuthorization_loginByEmailTemplate:         "fcfSimpleAuthorization:email_templates/login_by_email.tmpl",
  fcfSimpleAuthorization_lifetimeLoginByEmailTemplate:  10, // in minutes
  fcfSimpleAuthorization_registrationCompleteTemplate: "fcfSimpleAuthorization:page_templates/registration-confirmation.tmpl",
  fcfSimpleAuthorization_enableRegistration:           true,
  fcfSimpleAuthorization_enableLoginByEmail:           true,
}
